package com.zanxiang.game.data.serve.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/8/14
 * @Description 前端传递的游戏区服总计查询条件
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameServerDayTotalDTO {

    /**
     * 开服时间(开始时间)
     */
    @ApiModelProperty(value = "开服时间（起始）")
    private LocalDate beginDate;

    /**
     * 开服时间(结束时间)
     */
    @ApiModelProperty(value = "开服时间（结束）")
    private LocalDate endDate;

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 区服ID
     */
    @ApiModelProperty(value = "区服ID")
    private Long serverId;

    /**
     * 区服名称
     */
    @ApiModelProperty(value = "区服名称")
    private String serverName;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 选择留存数据的类型
     */
    @ApiModelProperty(notes = """
            选择留存数据的类型：reg -> 注册留存 ; role -> 角色留存 ; amount -> 付费留存
            """)
    private String activeTypes;

}
