package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FirstNewUserAgainTrendVO {

    /**
     * 充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 充值人数
     */
    @ApiModelProperty(notes = "充值人数")
    private Long rechargeCount;

    /**
     * 充值占比
     */
    @ApiModelProperty(notes = "充值占比")
    private BigDecimal percentage;

    /**
     * 用户详情，用来跳转查询
     */
    @ApiModelProperty(notes = "用户详情")
    private final String userDetail = "用户详情";

    /**
     * da1的所有用户ID，用作后续查询指定用户的条件
     */
    @ApiModelProperty(notes = "da1所有用户ID（不展示）")
    private Long[] usersId;

    /**
     * 当前对象属于哪个daN数据
     */
    @ApiModelProperty(notes = "不展示")
    private String timeType;

    /**
     * SDK数据来源
     */
    @ApiModelProperty(notes = "不展示")
    private String sourceSystem;

    /**
     * 数据归因：1-子游戏维度; 2-父游戏维度
     */
    @ApiModelProperty(notes = "数据归因：1-子游戏维度; 2-父游戏维度")
    private Long gameDimension;

}
