package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Set;

/**
 * @author tianhua
 * @version 1.0
 * @description: 批量操作参数列表
 * @date 2023/12/28 15:53
 */
@Data
public class GameAdPolicyBatchStartParam {

    /**
     * id列表(需要批量操作的ID)
     */
    @NotEmpty(message = "id列表不能传空")
    @ApiModelProperty("id列表(需要批量操作的ID)")
    private List<Long> ids;

    /**
     * 是否启用
     */
    @NotNull(message = "启用状态不能为空")
    @ApiModelProperty("是否启用")
    private Boolean isStart;

}
