package com.zanxiang.game.module.manage.pojo.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author tianhua
 * @version 1.0
 * @description: TODO
 * @date 2023/11/20 14:23
 */
@Data
public class GameVipAddParam {

    /**
     * 传id为修改, 不传id为新增
     */
    @ApiModelProperty("传id为修改, 不传id为新增")
    private Long id;

    /**
     * 游戏id
     */
    @NotNull(message = "超父游戏id不能为空")
    @ApiModelProperty("超父游戏id")
    private Long superGameId;

    /**
     * 游戏id
     */
    @NotNull(message = "父游戏id不能为空")
    @ApiModelProperty("父游戏id")
    private Long parentGameId;

    /**
     * 充值金额最小(包含)
     */
    @NotNull(message = "充值金额最小不能为空")
    @ApiModelProperty("充值金额最小(包含)")
    private BigDecimal rechargeMoneyMin;

    /**
     * 充值金额最大(不包含)
     */
    @NotNull(message = "充值金额最大不能为空")
    @ApiModelProperty("充值金额最大(不包含)")
    private BigDecimal rechargeMoneyMax;

    /**
     * vip档位
     */
    @NotNull(message = "vip档位不能为空")
    @ApiModelProperty("vip档位")
    private Integer vipLevel;

}
