package com.zanxiang.game.module.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2023-08-07
 * @description : 游戏区服
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GameServerListVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏名称
     */
    @ApiModelProperty(notes = "游戏名称")
    private String gameName;

    /**
     * 区服id
     */
    @ApiModelProperty(notes = "区服id")
    private String serverId;

    /**
     * 区服名称
     */
    @ApiModelProperty(notes = "区服名称")
    private String serverName;

    /**
     * 区服冠名
     */
    @ApiModelProperty(notes = "区服冠名")
    private String nickName;

    /**
     * 开服时间
     */
    @ApiModelProperty(notes = "开服时间")
    private LocalDateTime startTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(notes = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(notes = "更新时间")
    private LocalDateTime updateTime;

    /**
     * 是否原始服
     */
    @ApiModelProperty(notes = "是否原始服")
    private Boolean isSourceServer;

    /**
     * 合服的主服id
     */
    @ApiModelProperty(notes = "合服的主服id")
    private String mainServerId;

    /**
     * 合服的主服名称
     */
    @ApiModelProperty(notes = "合服的主服名称")
    private String mainServerName;

    /**
     * 是否参与合服
     */
    @ApiModelProperty(notes = "是否参与合服")
    private Boolean isMerge;

    /**
     * 合服包含的子服列表
     */
    @ApiModelProperty(notes = "合服包含的子服列表")
    private List<ServerBean> sonServerList;

    /**
     * 合服包含的原始服列表
     */
    @ApiModelProperty(notes = "合服包含的原始服列表")
    private List<ServerBean> sourceServerList;

    /**
     * 合服时间
     */
    @ApiModelProperty(notes = "合服时间")
    private LocalDateTime mergeTime;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    @Builder
    public static class ServerBean {

        /**
         * 区服id
         */
        @ApiModelProperty(notes = "区服id")
        private String serverId;

        /**
         * 区服名称
         */
        @ApiModelProperty(notes = "区服名称")
        private String serverName;

    }
}
