package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2023-11-27
 * @description : 客服消息记录
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
@Builder
@TableName("t_kf_msg_content")
public class KfMsgContent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消息id
     */
    private String msgId;

    /**
     * 消息类型
     */
    private Integer msgType;

    /**
     * 房间id
     */
    private String roomId;

    /**
     * 消息内容
     */
    private String msgKfContent;

    /**
     * 拓展信息
     */
    private String extraInfo;

    /**
     * 发送账号(客服消息才有值)
     */
    private String sendOpenAccount;

    /**
     * 发送者openid
     */
    private String sendOpenid;

    /**
     * 发送场景
     */
    private Integer sendScene;

    /**
     * session
     */
    private String sessionId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
